CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

Rotate3D method example

Private Sub Rotate3D_Example()

     ' This example creates a cone in model space.

     ' It then rotates the cone about an axis.

          

     Dim coneObj As progeCAD.PolygonMesh

     Dim rotateConeObj As progeCAD.PolygonMesh

     Dim conePt As progeCAD.Point

     Dim rotPt1 As progeCAD.Point

     Dim rotPt2 As progeCAD.Point

     Set conePt = Library.CreatePoint(2, 2, 0)

     Set rotPt1 = Library.CreatePoint(1, 2, 0)

     Set rotPt2 = Library.CreatePoint(3, 4, 0)

     Set coneObj = ThisDocument.ModelSpace.AddCone(conePt, 3, 4)

     coneObj.Update

     

     ' Rotate the cone

     coneObj.Rotate3D rotPt1, rotPt2, 10

     ThisDocument.ActiveViewport.ZoomAll

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.